/* Color settings */
body {
    background: #c0c0c0;
    font-size:1.1em;
    font-family: 'Helvetica', Helvetica, sans-serif;
    color: #444;
    background: url('images/main-background.png');
}
#header h1, #header h2 {
    color:white;
}
#navigation {
    background:none;
}

#middle {
}
#frame-content {
    position: relative;
    margin:0px;
    padding:5px;
    background: white;
    z-index: 2;
}



#header {
    position:relative;
}
#header-letters {
    z-index:10;
    position:absolute;
    top:100px;
}



#content {
    padding-left:1.0em;
    padding-top:1.0em;
}
#footer {
    position:relative;
    padding:1.0em;
    height:30px;
    font-family: 'Patua One', 'Open Sans', sans-serif;
    font-size: 1.5em;
    color: #ddd;
}
#footer span {
    opacity: 0.5;
}
#footer a {
    color: #eee;
    text-decoration: none;
    text-shadow: none;
}
#footer a:hover {
    text-decoration: underline;
}
#footer-sign {
    position:absolute;
    right:1.0em;
    bottom:1.0em;
}


#nav {
    margin-top: 10px;
}


#nav li {
    margin:0;
}
#nav li a {
    position:relative;
    font-family: 'Patua One', 'Open Sans', sans-serif;
    font-size: 1.2em;
    display:inner-block;
    text-decoration: none;
    margin: 5px;
    color: #111;
}
#nav li a:hover {
    border-bottom: 1px dashed #666;
}
#nav li a span {
    display:none;
    bottom: 0px;
    position:absolute;
}
#nav li a:hover span{
    display:block;
}


#search-panel {
    position:relative;
    display:block;
    padding:0;
    margin-left:15px;
    margin-top:0px;
    width:180px;
}
#search-panel input {
    margin:0;
    margin-left:10px;
    border: none;
    height:30px;
    width:130px;
    color: #666;
    border-bottom:1px solid #999;
    font-weight:normal;
    outline: none;
    padding:5px;
}
#search-panel a {
    position: absolute;
    top:0;
    right:0;
    display:block;
    height:42px;
    width:40px;
    background: url('images/icon-search.png') no-repeat;
    margin:0px;
    padding:0;
}



/* Headings
-------------------------*/
h1 {
    color:#111;
    font-weight: bold;
    font-family: 'Patua One', 'Open Sans', sans-serif;
    margin-bottom:0.4em;
    text-shadow:1px 1px 0px #fff;
}
.full-layout h1, .tablet-layout h1 {
    font-size:2.5em;
}
.mobile-layout h1 {
    font-size:1.6em;
}
/* Links
----------------------------------------*/
a, a:active, a:visited {
    color:#1F719C;
    font-weight:normal;
    text-decoration:none;
    text-shadow:1px 1px 0px  white;
}
a:hover, .article a.title:hover  {
    color:#2890C7;
}
a:hover {
    text-decoration: underline;
}
a.curly {
    font-family: 'Patua One', 'Open Sans', sans-serif;
}

/* Buttons
----------------------------------------*/
a.button, span.button {
    display:inline-block;
    padding-top:0.3em;
    padding-bottom:0.4em;
    padding-left:1.0em;
    padding-right:1.0em;
    font-size:1.1em;
    font-weight:bold;
    height:20px;
    text-decoration:none;
    color: #000;
    border: 2px solid #555;
    background: #fff;
    text-shadow: none;
    border-radius:20px;
}
a.button:hover {
    border: 2px solid #555;
    background:#F5D287;
    color: #000;
}

span.button.disabled:hover, a.button.disabled:hover, span.button.disabled, a.button.disabled {
    background: #999;
    color:#bbb;
    border:2px solid #666;
}

/* Article
----------------------------------------*/

.article {
    display:block;
    line-height: 1.4;
    margin-bottom:1.5em;
    padding: 10px;
}

.articles .article {
    padding-bottom:2.0em;
    border-bottom: 10px solid #eee;
    margin-bottom:4.0em;
}
.article a.title {
    display:block;
    color:#111;
    font-size: 2.0em;
    font-weight:bold;
    font-family: 'Patua One', 'Open Sans', sans-serif;
    text-decoration: none;
    text-shadow:1px 1px 0px #fff;
}
.article a.title:hover {
    color: #333;
    text-decoration: none;
}
.article .header {
    position:relative;
}
.article span.date { 
    right: 10px;
    margin-right:1.0em;
    color:#555;
    text-transform:uppercase;
}
a.button-readmore {
    font-family: 'Patua One', 'Open Sans', sans-serif;
    padding-top:0.1em;
    padding-bottom:0.6em;
    margin-top:10px;
}

.article .author-by-section {
    text-align: right;
    font-size: 1.4em;
}

#comments {
    margin-top:1.5em;
}

/*
 * Article content
 *
--------------------------------------------------*/
.article-content {
    font-family: Helvetica, sans-serif;
}
.article-content h1,.article-content h2,.article-content h3,.article-content h4,.article-content h5, .article-content h6 {
    margin-top:1.5em;
    color: #111;
    text-shadow:1px 1px 0px #fff;
    font-family: 'Patua One', 'Open Sans', sans-serif;
}
.full-layout .article-content h1, .tablet-layout .article-content h1 {
    font-size: 2.0em;
}
.mobile-layout .article-content h1 {
    font-size: 1.5em;
}
.full-layout .article-content h2, .tablet-layout .article-content h2 {
    font-size: 1.8em;
}
.mobile-layout .article-content h2 {
    font-size: 1.2em;
}
.article-content p {
    margin-bottom:1.0em;
}
.article-content a {
    text-decoration: underline;
}
.article-content img {
    border:1px solid #c0c0c0;
    margin-top: 20px;
    max-width: 95%;
    margin-bottom: 20px;
}
.article-content blockquote {
    background: #FFFBD1;
    border-left:10px solid #8C4408;
    font-size: 1.3em;
    margin:1.5em 1.5em;
    padding:1.0em 0.5em;
    color: #8C4408;
    quotes:"\201C""\201D""\2018""\2019";
    font-family: 'Patua One', 'Open Sans', sans-serif;
}
.article-content blockquote:before {
    color:#8C4408;
    content:open-quote;
    font-size:4em;
    line-height:.1em;
    margin-right:.25em;
    vertical-align:-.4em;
}
.article-content blockquote p {
    display:inline;
}
.article-content code {
    background: #fff;
    border:1px solid #888;
    padding: 2px;
    font-weight:normal;
    border-radius:5px;
    box-shadow:1px 1px 2px #bbb;
}
.article-content code.block code {
    background: none;
    border:none;
    padding:0; 
    font-size:14px;
    font-weight:normal;
    border-radius:0px;
    box-shadow:none;
}
.article-content code.block {
    background: #293745;
    background: url('code-back.png');
    padding: 0.5em;
    margin-top: 0.5em;
    margin-bottom: 1.5em;
    display: block;
    white-space: pre;
    overflow:auto;
    font-size: 1.1em;
    color: #d0e1f2;
    text-shadow:1px 1px 2px #222;
    border-radius:10px;
    box-shadow:inset 1px 1px 1px #111, 1px 1px 1px #fff;
}
.article-content em {
    color: #777;
    color: rgba(0, 0, 0, 0.7);
    font-size:0.85em;
    text-shadow:1px 1px 0px #fff;
}
.article-content ul, .article-content ol {
    margin-bottom: 1.0em;
}
.article-content ul li, .article-content ol li {
    margin-bottom: 0.5em;
}

/*
 * Categories
--------------------------------------------------*/

.categories ul.post-list {
    list-style: none;
}
.categories ul.post-list li {
    margin-left: 2.0em;
    margin-top:0.4em;
    padding-bottom: 0.4em;
    border-bottom: 2px dotted #ccc;
}
.categories ul li a.title {
    font-family: 'Patua One', 'Open Sans', sans-serif;
    display: inline;
    font-weight:bold;
    color:#333;
    font-size:1.6em;
}
.categories ul li a.title:hover {
    color:#000;
}
.categories ul li {
    position: relative;
}
.categories ul li span.date {
    margin-right:1.0em;
    color:#555;
    text-transform:uppercase;
}
.full-layout .categories ul li span.date {
    position:absolute;
}
.full-layout .categories ul li .article-details {
    margin-left: 7.5em;
}
.categories a.title {
    font-family: 'Patua One', 'Open Sans', sans-serif;
    display:block;
    color:#333;
    font-weight:bold;
    text-decoration: none;
    font-size: 2em;
    text-shadow:1px 1px 0px #fff;
}
.categories a.title:hover {
    color:#000;
}
/*
 * Pagination
--------------------------------------------------*/
.page-navigation {
    margin-top: 20px;
    clear: both;
}
.pagination-block ul.pagination {
    list-style: none;
}
.pagination-block ul.pagination li {
    float: left;
    margin-right: 2.0em;
}

.pagination-block ul.pagination li a {
}

/*
 * Archive 
--------------------------------------------------*/
.archive {
    font-family: 'Patua One', 'Open Sans', sans-serif;
    position: relative;
    font-size: 1.3em;
}
.archive span.archive-year {
    color: #888; 
    font-size:2.0em;
}
.archive span.archive-month {
    color:#888;
    font-size:1.3em;
}
.archive .archive-post {
    margin-bottom:0.8em;
    padding-bottom: 0.4em;
    border-bottom: 1px dotted #ccc;
}

.full-layout .archive span.archive-year {
    position:absolute;
}
.full-layout .archive span.archive-month {
    position:absolute;
    margin-left: 4em;
}
.full-layout .archive .archive-post {
    margin-left: 8em;
}

.archive .archive-post a.title {
    display: inline;
    font-weight: bold;
    color: #333;
    font-size: 1.1em;
}
.archive .archive-post a.title:hover {
    color:#000;
    text-decoration:none;
}
.archive-separator {
    margin-bottom:2.0em;
}



/*
 * Tag list
--------------------------------------------------*/
.tag-list {
    font-size: 1.0em;
    margin-top:1.0em;
}
.tag-list, .tag-list  span {
    color: #888;
}
.tag-list a {
    color: #666;
}

/*
 * Side Bar
--------------------------------------------------*/
h3 {
    color:#111;
    text-shadow: 1px 1px 0px #fff;
    font-family: 'Patua One', 'Open Sans', sans-serif;
    font-size: 1.4em;
}

.recent-posts {
    list-style:none;
    padding:0;
}
.recent-posts li {
    margin-bottom:0.6em;
    border-bottom: 1px dotted #ccc;
}
.recent-posts li a {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: normal;
}


div.step-marker span {
    float: left;
    display:inline-block;
    background: #888;
    padding: 0.4em;
    font-size:1.5em;
    font-weight:bold;
    color:#fff;
    border-radius:30px;
    text-shadow:1px 1px 2px #222;
    box-shadow:inset 1px 1px 1px #444;
}
div.step-marker h2 {
    float:left;
    margin-top:0;
    padding-top: 0.5em;
    margin-left: 0.5em;
    /*padding-left: 5.0em;*/
}
div.step-marker:after {
    content:".";
    display:block;
    height:0;
    visibility:hidden;
    clear:both;
}


div.download-box {
    margin-top:1.0em;
    padding:1.0em;
    display:block;
    min-width:300px;
    max-width:400px;
    border:1px solid #aaa;
    background:#dedede;
    color:#444;
    border-radius: 10px;
    box-shadow:1px 1px 3px #ccc;
}

div.download-box a {
    display:block;
    color:white;
    font-weight:bold;
    border-radius:10px;
    background: #1B8EE0;
    margin-top:0.5em;
    padding:0.5em;
    width:250px;
    text-shadow:none;
    border:1px solid #105D94;
    box-shadow:1px 1px 2px #888, inset 1px 1px 0px #60B1EB;
}